mp2enc(1)

NAME

mp2enc - Simple MPEG-2 layer-II audio encoder

SYNOPSIS
mp2enc [-v num] [-b bitrate_kbps] [-r output_sampling_rate_hz] [-s ] [-m ] [-e ] [-V ] [-?] -o output_filename

DESCRIPTION
Mp2enc is a simple MPEG layer-II audio encoder. It is actually a very mildly warmed over version of the MPEG Software Simulation Group's reference encoder. It accepts a WAV file or stream on stdin and ouputs an a layer-II elementary audio stream. It is included in the mjpegtools(1) primarily for reasons of completeness and because it is able to perform sampling rate conversion.

Those seeking a faster (and probably higher quality) encoder are recommended to use toolame(1) which can be obtained from:

    http://members.dingoblue.net.au/~mikecheng

GENERAL FUNCTION LETTERS

-o output_filename
    Specifies the name for the output file. An integer format code (e.g. %d) in the name is replaced the number of the file generated (see printf(3)).

-v num
    Set verbosity level to num. 0 = warnings and errors only, 1 = information as well, 2=really verbose. -? Display a synopsis of the command syntax.

FUNCTION LETTERS CONTROLLING OUTPUT STREAM STRUCTURE

-b bitrate
    This sets the bit-rate of the output stream i kBit/sec. Typical values might be 224kbps for good-quality audio suitable for capturing Dolby pro-logic signals. A rate of 192kbps or 128kbps is reasonable for low quality audio (e.g. mono TV audio). Really high compression is, of course, better achieved using MPEG layer III "MP3" audio encoding or AAC.

-r sampling_rate
    Sets the audio sampling rate of the reconstructed output signal in Hz. Legal values are 32000, 44100 and 48000Hz. mp2enc will automatically sample-rate convert the input signal if necessary.

-s  Force stereo output. A mono input signal is channel doubled before encoding to make it stereo. This is useful for many MPEG players which simply can't handle a non-stero signal.

-m  Force mono output. A stereo input signal is down-mixed before encoding. Useful if you've captured a mono signal in stereo and your player can handle mono MPEG.

-e  Use CRC error protection.

-V  Force VCD comaptible output. Same as -b 224 -r 44100 -s.

-o outputpathname
    The name of the output file to generate. If '-' is given as the pathname output is written to standard output.

AUTHOR
This man page was written by Andrew Stevens.
If you have questions, remarks, problems or you just want to contact the developers, the main mailing list for the MJPEG-tools is:
  mjpeg-users@lists.sourceforge.net

For more info, see our website at
    http://mjpeg.sourceforge.net

SEE ALSO
mpeg2enc(1), mp2enc(1), lavrec(1), lavplay(1), lav2yuv(1), lav2wav(1), yuvscaler(1)